Subject: Re: vc4 on rpi3 A+

From: Sergey Suloev <[email-masked]>
Date: Sat, 29 Feb 2020 18:23:36 +0300

Hi, Nicolas,

On 2/28/20 4:09 PM, Nicolas Saenz Julienne wrote:
> Hi Sergey,
>
> On Thu, 2020-02-20 at 11:21 +0300, Sergey Suloev wrote:
>> Hello, guys,
>>
>> could anyone clarify the status of vc4 drm support on RPI 3A+ ?
>>
>> I tried to build kernel 5.5 and 5.6-rc2 in 32bit and aarch64
>> configurations with VC4 turned ON but both unsuccessful - vc4 drm driver
>> is listed in memory but not working and not producing any typical DRM
>> log output.
> I managed to get my hands on a rpi3a+ and reproduce the issue. 'dmesg -lerr'
> outputs this:
>
> 	bcm2835-power: Timeout waiting for grafx power OK
>
> This is a known issue, see https://github.com/raspberrypi/linux/issues/3046.
> I attached a device-tree patch in case you want to verify it fixes the issue on
> your board.

the patch works, thank you

> @Stefan I guess I'm going to have to revert the pm patch, any comments before I
> do?
>
> Regards,
> Nicolas
>

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel